# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from funittest import interpreter
from funittest import register_pom

class Configlet:
    def selectAll(self):
        interpreter.click("selectButton")
        
    def save(self):
        interpreter.clickAndWait("form.button.Save")
        
    def delete(self):
        interpreter.clickAndWait("form.button.Delete")
        
    def accessConfigletViaURL(self):
        interpreter.open("/prefs_externalsitecatalog")
        
    def accessConfigletViaPOM(self):
        interpreter.clickAndWait("link=Site Setup")
        interpreter.clickAndWait("link=External Site Catalog Task")
        
    def switchAreasOn(self):
        interpreter.click('use_groupspace_areas_on')
        
    def switchAreasOff(self):
        interpreter.click('use_groupspace_areas_off')

    def does_use_groupspace_areas(self):
        pass
        
register_pom("GrufSpaces", Configlet())
